package cn.hnthyy.thmz.service.his.mz;


import cn.hnthyy.thmz.entity.his.mz.Employee;

import java.util.List;

public interface EmployeeService {
    /**
     * 根据医生工号查询医生
     * @param codeRs
     * @return
     */
    Employee queryByCodeRs(String codeRs);



    /**
     * 根据部门id列表查询医生列表
     *
     * @param depts 部门id列表
     * @return
     */
    List<Employee> queryEmployeeByDepts(String depts);


    /**
     * 根据部门id查询医生列表
     *
     * @param dept 部门id
     * @return
     */
    List<Employee> queryEmployeeByDept(String dept);



    /**
     * 根据医生姓名查询医生
     *
     * @param name
     * @return
     */
    Employee queryByUserName(String name);



    /**
     * 根据医生编号查询医生
     *
     * @param userCode
     * @return
     */
    Employee queryByUserCode(String userCode);



    /**
     * 根据医生code集合查询医生信息
     * @param codes
     * @return
     */
    List<Employee> queryByCodes(List<String> codes);


    /**
     * 查询所有医生
     * @return
     */
    List<Employee> queryAll();


    /**
     * 根据部门id列表查询医生列表
     *
     * @param depts 部门id列表
     * @return
     */
    List<Employee> queryEmployeeByDepts(List<String> depts);
}
